Module java.desktop
Package java.beans.beancontext

# Class BeanContextServicesSupport.BCSSProxyServiceProvider

java.lang.Object
java.beans.beancontext.BeanContextServicesSupport.BCSSProxyServiceProvider

All Implemented Interfaces:
  `BeanContextServiceProvider`, `BeanContextServiceRevokedListener`, `EventListener`

Enclosing class:
  BeanContextServicesSupport

    protected class BeanContextServicesSupport.BCSSProxyServiceProvider
    extends Object
    implements BeanContextServiceProvider, BeanContextServiceRevokedListener

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.beancontext.BeanContextServiceProvider

`getCurrentServiceSelectors, getService, releaseService`

### Methods declared in interface java.beans.beancontext.BeanContextServiceRevokedListener

`serviceRevoked`